package _01_static.demo2;

public class Student {
    private String name;
    private int age;

    public static String teacherName;

    // 提供一个静态方法和一个非静态方法
    public static void staticTest(){
        // 访问静态变量
        System.out.println(teacherName);
        // 访问静态方法
        staticMethod();
//        // 访问非静态变量
//        System.out.println(name);
//        // 访问非静态方法
//        eat();
    }


    public void noStaticTest(){
        // 访问静态变量
        System.out.println(teacherName);
        // 访问静态方法
        staticMethod();
//        // 访问非静态变量
        System.out.println(name);
//        // 访问非静态方法
        eat();
    }

    public static void staticMethod(){
        System.out.println("我是静态方法");
    }

    // 提供一个非静态方法
    public void eat(){
        System.out.println("吃东西");
    }
}

